--/////////////////////////////////////////////////////////////////////////////////--
--////////////////////////////////SKYNET START/////////////////////////////////////--

--////////////////////////////////////SYRIA////////////////////////////////////////--


redIADS = SkynetIADS:create('IRAN')

redIADS:setUpdateInterval(15)
redIADS:addEarlyWarningRadarsByPrefix('Red EWR')
redIADS:addSAMSitesByPrefix('Red SAM')
-- redIADS:getSAMSitesByNatoName('SA-2'):setGoLiveRangeInPercent(100)
-- redIADS:getSAMSitesByNatoName('SA-3'):setGoLiveRangeInPercent(100)
-- redIADS:getSAMSitesByNatoName('SA-6'):setGoLiveRangeInPercent(100)
-- redIADS:getSAMSitesByNatoName('SA-10'):setGoLiveRangeInPercent(100)
redIADS:activate()


env.info("Mission Initialisation : Iran IADS")
trigger.action.outText("Mission Initialisation : Iran IADS", 10)

  
--//////////////////////////////////////USA////////////////////////////////////////--


bluIADS = SkynetIADS:create('BLUFOR')

bluIADS:setUpdateInterval(15)
bluIADS:addEarlyWarningRadarsByPrefix('Blue EWR')
bluIADS:addSAMSitesByPrefix('Blue SAM')

-- bluIADS:getSAMSiteByGroupName('USASAM-MIM-104-1'):setActAsEW(true)

bluIADS:activate()


env.info("Mission Initialisation : BLUFOR IADS")
trigger.action.outText("Mission Initialisation : BLUFOR IADS", 10)


--//////////////////////////////////SKYNET DEBUG///////////////////////////////////--

local iadsdebugred=false
local iadsdebugblu=false

if iadsdebugred then

local iadsDebug = redIADS:getDebugSettings()
	  iadsDebug.IADSStatus = true
	  iadsDebug.samWentDark = true
	  iadsDebug.contacts = true
	  iadsDebug.radarWentLive = true
	  iadsDebug.noWorkingCommmandCenter = true
	  iadsDebug.ewRadarNoConnection = true
	  iadsDebug.samNoConnection = true
	  iadsDebug.jammerProbability = true
	  iadsDebug.addedEWRadar = true
	  iadsDebug.hasNoPower = true
	  iadsDebug.harmDefence = true
	  iadsDebug.samSiteStatusEnvOutput = true
	  iadsDebug.earlyWarningRadarStatusEnvOutput = true

end

if iadsdebugblu then

local iadsDebug = bluIADS:getDebugSettings()
	  iadsDebug.IADSStatus = true
	  iadsDebug.samWentDark = true
	  iadsDebug.contacts = true
	  iadsDebug.radarWentLive = true
	  iadsDebug.noWorkingCommmandCenter = true
	  iadsDebug.ewRadarNoConnection = true
	  iadsDebug.samNoConnection = true
	  iadsDebug.jammerProbability = true
	  iadsDebug.addedEWRadar = true
	  iadsDebug.hasNoPower = true
	  iadsDebug.harmDefence = true
	  iadsDebug.samSiteStatusEnvOutput = true
	  iadsDebug.earlyWarningRadarStatusEnvOutput = true

end


